library("CEC")
data(Tset)
plot(Tset, xlim=c(0,1), ylim=c(0,1), pch = 16, asp=1, cex=1)

# spherical CEC
cec<-cec(x=Tset, centers=10, type='spherical')
plot(cec, xlim=c(0,1), ylim=c(0,1), asp=1, cex=1)

# spherical CEC with fixed radius
cec<-cec(x=Tset, centers=10, type="fixedr", param=0.01)
plot(cec, xlim=c(0,1), ylim=c(0,1), asp=1, cex=1)

# diagonal CEC
cec<-cec(x=Tset, centers=10, type="diagonal")
plot(cec, xlim=c(0,1), ylim=c(0,1), asp=1, cex=1)

# fixed covariance CEC
cec<-cec(x=Tset, centers=10, type="covariance", param=matrix(c(0.04,0,0,0.01),2))
plot(cec, xlim=c(0,1), ylim=c(0,1), asp=1, cex=1)

# fixed eigenvalue CEC
cec<-cec(x=Tset, centers=10, type="eigenvalues" , param=c(0.01,0.001))
plot(cec, xlim=c(0,1), ylim=c(0,1), asp=1, cex=1)

